Subject: RE: difference between servicechangeaddress and servicechangeMgcI d

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 20 Jun 2001 08:38:29 -0400

A ServiceChange with Handoff causes the MG to create a new
association.  There is no way to use this mechanism to make the
handoff transparent.  If you did send both, the MG would use
the ServiceChangeAddress for any subsequent commands to the 
old MGC, but there shouldn't be any.

I'll point out that immediately after the MGC sends the Handoff,
it needs to be able to continue to recieve commands from the MG
because there is an indeterminate time difference between when
the MGC sends the Handoff, and the MG actually performs it.

Brian

> -----Original Message-----
> From: Lalit Kumar [mailto:[email-masked]]
> Sent: Wednesday, June 20, 2001 2:57 AM
> To: 'Madhu Babu Brahmanapally'; [email-masked]
> Subject: RE: difference between servicechangeaddress and
> servicechangeMgcI d
> 
> 
> hi,
>    Thanks for the response, but some doubts still persist.
> 
>    In RFC3015 section 7.2.8, the document writes "The MG may 
> specify an
> address in the ServiceChangeAddress parameter of the 
> serviceChange Request,
> and the MGC may also do so in the ServiceChange reply. In 
> either case, the
> recipient must use the supplied address as the destination for all
> subsequent transaction requests within the association......"
> 
>    In section 11.5 the document says, "In partial failure, or manual
> maintenance reasons, an MGC may wish to direct its controlled 
> MGs to use a
> different MGC. To do so, it sends a ServiceChange method to 
> the MG with a
> "Handoff" method, and its designated replacement in the
> ServiceMgcId............"
> 
>    According to my interpretation, besides sending 
> serviceChangeMgcId at the
> time of registration, MGC might wish to send the 
> ServiceChange Request with
> ServiceChangeMgcId for the mated pair, making transactions 
> transparent to
> the MG. All the transaction replies, acks, request or pending shall be
> handled by the new MGC after making the new association.
> 
>    The MGC might also send a serviceChangeAddress when it 
> wants to handle
> all the transaction replies/acks/pendings for transaction 
> request initiated
> by it. All the new Transactions shall be handled by the 
> newMG. This setup
> works in the current associated and MG need not establish a 
> new association.
> 
>   Please correct me if my interpretation is wrong.
> 	
> With Regards,
> lalit
> 
> 
> 
> -----Original Message-----
> From: Madhu Babu Brahmanapally [mailto:[email-masked]]
> Sent: Monday, June 18, 2001 7:18 PM
> To: 'Lalit Kumar'; [email-masked]
> Subject: RE: difference between servicechangeaddress and
> servicechangeMgcId
> 
> 
> Hi Lalit,
> The serviceChangeMgcId is sent from the MGC when it doesn't accept the
> registration request from the MG. And hence the 
> serviceChangeMgcId is set to
> another MGC. In case the MGC accepts the registration request 
> from the MG,
> the serviceChangeAddress is used to specify address to which further
> commands/responses need to be sent. Hope this answers your query.
> -Regards
> Madhubabu
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Lalit Kumar
> Sent: Monday, June 18, 2001 2:07 AM
> To: [email-masked]
> Subject: difference between servicechangeaddress and 
> servicechangeMgcId
> 
> 
> hi,
>    I was going through RFC3015 section 7.2.8. It says that
>     "The ServiceChangeAddress provides an address to be used 
> within the
> context of the association currently being negotiated, while the
> serviceChangeMgcId provides an alternative address where the 
> MG should seek
> to establish another association."
> 
> 	Can somebody explain the role of association??
> 	Since both cannot be used simultaneously when should MGC use
> serviceChangeAddress and when should it use serviceChangeMgcId??
> 
> 	Thanks in advance,
> 
> With Regards,
> lalit
>

---

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 20 Jun 2001 11:01:28 -0400

Of course this is very true, but only applies to REPLIES.
A particular thing to note is that a Notify issued AFTER
a Handoff is processed is sent to the new MGC.

Brian

> From: Terry L Anderson [mailto:[email-masked]]
> Sent: Wednesday, June 20, 2001 10:56 AM
> To: Lalit Kumar
> Cc: 'Madhu Babu Brahmanapally'; [email-masked]
> Subject: Re: difference between servicechangeaddress and
> servicechangeMgcId
> 
> 
> 
> 
> Lalit Kumar wrote:
> 
> > hi,
> >    In RFC3015 section 7.2.8, the document writes "The MG 
> may specify an
> but you end your quote too soon.  see below.
> 
> > maintenance reasons, an MGC may wish to direct its 
> controlled MGs to use a
> But 7.2.8 says,
>     "In either case, the recipient must use the supplied 
> address as the
> destination for all subsequent transaction requests  within 
> the association.  At
> the same time, as indicated in section 9, transaction repies 
> and pending
> indications must be sent to the address from which the 
> corresponding requests
> originated."
> 
> and in second paragraph of section 9
>     "As describged in section 7.2.8, either the MG or the MGC 
> may supply an
> address in the ServiceChangeAddress parameter to which 
> subsequent request must
> be addressed, but responses (including the response to the 
> initial ServiceChange
> request) must always be sent back to the address which was 
> the source of the
> corresponding request."
> 
> and in D.1.5 fourth paragraph (applying to UDP only)
>     "...a valid ServiceChange message announcing a failover, 
> it will  start
> transmitting outstanding commands to that new MGC. Responses 
> to commands are
> still transmitted to the source address of the command."
> 
> I think that this is pretty clear that the intent was NOT to 
> make any exceptions
> to the principle stated in D.1 (for UDP)
>     "Responses must be sent to the address and port from 
> which the corresponding
> commands were sent."
> 
> You might prefer a different policy, but I think that the 
> policy in H.248 is
> clear - responses always go to source address of request, never to any
> advertised address.
> 
> >
> >
> > With Regards,
> > lalit
> >
> > another MGC. In case the MGC accepts the registration 
> request from the MG,
> >     "The ServiceChangeAddress provides an address to be 
> used within the
> > serviceChangeMgcId provides an alternative address where 
> the MG should seek
> --
> ------------------------------------------------------------
> Terry L Anderson              mailto:[email-masked]
> Tel:908.582.7013   Fax:908.582.6729
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla
> 
>